Subject: bug#67429: 27.1; oddities with gdb-mode completion buffer

From: Bruno Haible <[email-masked]>
Date: Fri, 24 Nov 2023 14:59:07 +0100

Eli Zaretskii wrote:
> So I suggest to post a complete recipe for reproducing the problem,
> preferably starting from "emacs -Q".

The steps are:

0. Use Ubuntu 22.04 (which has emacs 27.1).
1. Unpack gettext-0.21.tar.gz.
2. cd gettext-0.21
3. CFLAGS=-ggdb ./configure --disable-shared && make
4. cd gettext-tools/src
5. cat > foo.vala <<\EOF
        primary_text.set_markup(
            "<span size=\"large\" weight=\"bold\">%s</span>".printf(_("Welcome to Shotwell!")));
EOF
6. ./xgettext -o - foo.vala
7. emacs
8. Resize the window to width 1265, height 813 or 815 (according to xwininfo).
9. M-x gdb RET
   gdb -i=mi xgettext RET
10. break main
11. break remember_a_message
12. run -o - foo.vala
13. continue
14. where
15. print current TAB TAB

> I also recommend using Emacs
> 29.1, which is the latest version that is still being maintained.

Indeed, when I start the recipe above with

  0. Use Ubuntu 23.10 (which has emacs 29.1).

the completion windows stays open. No bug there.

You can close the ticket.

Thanks for your help in this investigation.

Bruno